package com.ruoyi.system.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.ActSuppliesHistorydataMapper;
import com.ruoyi.system.domain.ActSuppliesHistorydata;
import com.ruoyi.system.service.IActSuppliesHistorydataService;

/**
 *  历史数据Service业务层处理
 * 
 * @author dongjg
 * @date 2023-08-01
 */
@Service
public class ActSuppliesHistorydataServiceImpl implements IActSuppliesHistorydataService 
{
    @Autowired
    private ActSuppliesHistorydataMapper actSuppliesHistorydataMapper;

    /**
     * 查询 历史数据
     * 
     * @param id  历史数据ID
     * @return  历史数据
     */
    @Override
    public ActSuppliesHistorydata selectActSuppliesHistorydataById(Long id)
    {
        return actSuppliesHistorydataMapper.selectActSuppliesHistorydataById(id);
    }

    /**
     * 查询 历史数据列表
     * 
     * @param actSuppliesHistorydata  历史数据
     * @return  历史数据
     */
    @Override
    public List<ActSuppliesHistorydata> selectActSuppliesHistorydataList(ActSuppliesHistorydata actSuppliesHistorydata)
    {
        return actSuppliesHistorydataMapper.selectActSuppliesHistorydataList(actSuppliesHistorydata);
    }

    /**
     * 新增 历史数据
     * 
     * @param actSuppliesHistorydata  历史数据
     * @return 结果
     */
    @Override
    public int insertActSuppliesHistorydata(ActSuppliesHistorydata actSuppliesHistorydata)
    {
        actSuppliesHistorydata.setCreateTime(DateUtils.getNowDate());
        return actSuppliesHistorydataMapper.insertActSuppliesHistorydata(actSuppliesHistorydata);
    }

    /**
     * 修改 历史数据
     * 
     * @param actSuppliesHistorydata  历史数据
     * @return 结果
     */
    @Override
    public int updateActSuppliesHistorydata(ActSuppliesHistorydata actSuppliesHistorydata)
    {
        return actSuppliesHistorydataMapper.updateActSuppliesHistorydata(actSuppliesHistorydata);
    }

    /**
     * 批量删除 历史数据
     * 
     * @param ids 需要删除的 历史数据ID
     * @return 结果
     */
    @Override
    public int deleteActSuppliesHistorydataByIds(Long[] ids)
    {
        return actSuppliesHistorydataMapper.deleteActSuppliesHistorydataByIds(ids);
    }

    /**
     * 删除 历史数据信息
     * 
     * @param id  历史数据ID
     * @return 结果
     */
    @Override
    public int deleteActSuppliesHistorydataById(Long id)
    {
        return actSuppliesHistorydataMapper.deleteActSuppliesHistorydataById(id);
    }
}
